### Function

# Fwupd feature_flag_from_string

since: 1.4.5

#### Declaration [src]

    FwupdFeatureFlags
    fwupd_feature_flag_from_string (
      const gchar* feature_flag
    )

#### Description [src]

Converts a string to an enumerated feature flag.

Available since: 1.4.5

#### Parameters

`feature_flag`

  Type: `const gchar*`

  A string, e.g. `detach-action`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdFeatureFlags`

Enumerated value.